Issue #962 invalid

Trying to use SSL with cherrypy causes hard crash

guest
created an issue

Using python 2.6 pyOpenSSL 0.9 and CherryPy 3.1.2 (both obtained with easy_install)

On Vista I can run the CherryPy wsgiserver very nicely, but the moment I want to use SSL (regardless that no requests have yet been made) Python crashes everytime.

Not sure what the actual problem is, hopefully someone will be able to reproduce it.

Comments (2)

  1. guest reporter

    I had a similar issue with pyOpenSSL 0.9, OpenSSL 0.9.8, Python 2.5-2.6, and cherrypy 3.1.2. My issue had to do with the Microsoft C run time libraries. Make sure that all of the following DLLs link to the same version of the C runtime (use dependency walker to check, http://www.dependencywalker.com/): crypto.pyd, rand.pyd, SSL.pyd, Python26.dll (or your version), libeay32.dll, libssl32.dll, and ssleay32.dll. For Python 2.6 this is going to be MSVCR90.DLL. The first three DLLs install with pyOpenSSL, the last three install with OpenSSL. If they are not using the same C run time DLL, python.exe load multiple versions of the C run time and it will crash. In my case memory was allocated in one C heap and released in a different C heap.

  2. Log in to comment